function _templateObject3() {
  var data = _taggedTemplateLiteral(["\n  position: relative;\n  padding-top: 0px;\n  display: flex;\n  align-items: center;\n  color: #fff;\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  width: 100%;\n  max-width: 800px;\n\n  @media (max-width: 640px) {\n    padding: 0 15px;\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  display: flex;\n  background: rgb(34, 15, 37);\n  height: 75vh;\n  min-height: 600px;\n  width: 100%;\n  margin: 0 0 120px;\n  padding: 0;\n  background-size: cover;\n  background-position: center center;\n  z-index: -100;\n  align-items: center;\n  justify-content: center;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

import PropTypes from "prop-types";
import { jsx, css } from "@emotion/core";
import { BrandColors } from "../_Themes/index";
var heroClass = css(_templateObject());
var containerClass = css(_templateObject2());
var contentClass = css(_templateObject3());

var DefaultChildren = function DefaultChildren() {
  return jsx("h1", null, "Data for the people,", jsx("br", null), "by the people.");
};

var Hero = function Hero(_ref) {
  var children = _ref.children;
  return jsx("div", {
    css: heroClass,
    style: {
      backgroundColor: BrandColors.heroPurple.hex
    }
  }, jsx("div", {
    css: containerClass
  }, jsx("div", {
    css: contentClass
  }, children || jsx(DefaultChildren, null))));
};

Hero.displayName = "Hero";
Hero.propTypes = {
  children: PropTypes.node
};
export default Hero;